// Form Quiz

.form-quiz {
  display: none;
}

.form-quiz--show {
  display: block;
}

.form-quiz__title {
  margin-bottom: 24px;
  color: #fff;
  font-size: 22px;
  font-weight: 600;
}

.form-quiz__section {
  display: none;

  &.form-quiz__section--show {
    display: block;
  }
}

.form-quiz__radio-button + .form-quiz__radio-button {
  margin-top: 20px;

  @media screen and (max-width: 768px){
    margin-top: 12px;
  }
}

.radio-quiz {
  position: relative;
  display: block;
  cursor: pointer;
  margin: 0;
}

.radio-quiz__input {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(0 0 0 0);

  &:checked {

    ~ .radio-quiz__label {

      &::before {
        background-color: #5ac6f1;
        box-shadow: 0px 0px 0px 3px #fff inset;
      }
    }
  }
}

.radio-quiz__label {
  display: flex;
  align-items: center;
  min-height: 49px;
  padding-top: 16px;
  padding-bottom: 16px;
  padding-left: 50px;
  padding-right: 10px;
  color: #3b3b3b;
  font-size: 18px;
  font-weight: 400;
  background-color: #f4f6f5;
  border-radius: 8px;

  &::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 15px;
    width: 19px;
    height: 19px;
    border: 2px solid #5ac6f1;
    border-radius: 50%;
    transform: translateY(-50%);
  }

  @media screen and (max-width: 768px){
    padding-left: 40px;
    padding-right: 12px;
    padding-bottom: 12px;
    font-size: 16px;

    &::before {
      left: 10px;
    }
  }
}

.form-quiz__group + .form-quiz__group {
  margin-top: 20px;

  @media screen and (max-width: 768px){
    margin-top: 12px;
  }
}

.form-quiz__input {
  width: 100%;
  height: 49px;
  padding-left: 20px;
  background-color: #f4f6f5;
  border-radius: 8px;
  color: #3b3b3b;
  font-size: 18px;
  font-weight: 400;
  border: 0;
  outline: none;

  &::placeholder {
    color: #3b3b3b;
  }

  &:focus {

    &::placeholder {
      opacity: 0;
    }
  }
}

.quiz-checkbox {
  position: relative;
  display: block;
  cursor: pointer;
  margin: 0;
}

.quiz-checkbox__input {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(0 0 0 0);

  &:checked {

    ~ .quiz-checkbox__label {

      &::after {
        opacity: 1;
      }
    }
  }
}

.quiz-checkbox__label {
  max-width: 500px;
  padding-left: 26px;
  padding-right: 10px;
  color: #fff;
  font-size: 18px;

  &::before {
    content: "";
    display: block;
    width: 15px;
    height: 15px;
    position: absolute;
    top: 6px;
    left: 0;
    border: 1px solid #fff;
    border-radius: 2px;
  }

  &::after {
    content: "";
    position: absolute;
    top: 9px;
    left: 3px;
    width: 9px;
    height: 5px;
    border-bottom: 1px solid #fff;
    border-left: 1px solid #fff;
    opacity: 0;
    transform: rotate(-40deg);
  }

  @media screen and (max-width: 768px){
    font-size: 16px;
  }
}

.form-quiz__footer {
  display: flex;
  align-items: center;
  margin-top: 80px;

  @media screen and (max-width: 768px){
    margin-top: 40px;
    flex-direction: column;
    text-align: center;
  }
}

.form-quiz__footer--centered {
  justify-content: center;
}

.form-quiz__counter {
  margin-right: 70px;

  @media screen and (max-width: 768px){
    margin-right: 0;
    margin-bottom: 20px;
  }
}

.form-quiz__button {
  min-width: 228px;
}

.quiz-thanks {
  display: none;
  text-align: center;
}

.quiz-thanks--show {
  display: block;
}

.quiz-thanks__title {
  margin-bottom: 20px;
  color: #13216a;
  font-weight: 700;
}

.quiz-thanks__text {
  font-size: 22px;
  margin: 0;
}
// end form quiz
